Imports EDSL.Entities
Imports EDSL.DAL
Partial Public Class CaseStudy
    Inherits BasePage
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim objMainPage As New dbMainPage
        Dim objMainPageEntity As New entMainPage

        objMainPageEntity = objMainPage.GetPageDetails("CaseStudy")
        divContent.InnerHtml = objMainPageEntity.PageContent

        Me.MetaTitle = ConfigurationManager.AppSettings("BrowserTitleCompanyName") & objMainPageEntity.MetaTitle
        Me.MetaName = objMainPageEntity.PageMetaName
        Me.MetaContent = objMainPageEntity.PageMetaContent


        latestCaseStudylist.LimitCaseStudylist = 0

        Dim pageInfo As HyperLink = Breadcrumb.FindControl("lnkPage")
        pageInfo.Text = objMainPageEntity.PageTitle

    End Sub
    Public Sub SetMetaData(ByVal content As String, ByVal title As String)

        Me.MetaTitle = title

        If content <> "" Then
            Me.MetaContent = content
        End If


    End Sub
End Class
